#
# spec file for package gcal (Version 3.01)
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  
# usedforbuild    aaa_base aaa_dir autoconf automake base bash bindutil binutils bison bzip compress cpio cpp cracklib cyrus-sasl db devs diffutils e2fsprogs file fileutils findutils flex gawk gcc gdbm gdbm-devel gettext glibc glibc-devel gpm gppshare grep groff gzip kbd less libtool libz m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg pam pam-devel patch perl ps rcs readline rpm sendmail sh-utils shadow strace syslogd sysvinit texinfo textutils timezone unzip util-linux vim

Name:         gcal
Copyright:    GNU GPL
Group:        Applications/System
Provides:     gcal
Autoreqprov:  on
Summary:      A program for printing calendars
Version:      3.01
Release:      114
Source: ftp://ftp.gnu.ai.mit.edu/pub/gcal-%{version}.tar.bz2
# Patch: gcal-%{version}.dif
# BuildRoot: /tmp/gcal

%description
Gcal is a program for printing calendars.  Gcal displays a calendar for a month
or a year, eternal holiday lists and fixed date lists, in many ways.  The
program correctly omits the dates that were skipped when the current Gregorian
calendar replaced the earlier Julian calendar.

Authors:
--------
    Thomas Esken <esken@uni-muenster.de>

SuSE series: ap

%prep
%setup
# %patch
./configure --prefix=$RPM_BUILD_ROOT/usr --mandir=$RPM_BUILD_ROOT%{_mandir} \
		--infodir=$RPM_BUILD_ROOT%{_infodir}

%build
make "CFLAGS=$RPM_OPT_FLAGS" LDFLAGS=-s

%install
rm -f $RPM_BUILD_ROOT/usr/share/info/gcal* $RPM_BUILD_ROOT/usr/shareinfo/de/gcal*
rm -f $RPM_BUILD_ROOT/usr/share/gcal/{README,CREDITS}
make install infodir=$RPM_BUILD_ROOT/usr/share/info/ \
     mandir=$RPM_BUILD_ROOT/usr/share/man/man1
make doclang=de infodir=$RPM_BUILD_ROOT/usr/share/info/de \
     mandir=$RPM_BUILD_ROOT/usr/share/man/de/man1 install

%files
%doc ABOUT-NLS ATTENTION BUGS COPYING DISCLAIM HISTORY LIMITATIONS MANIFEST
%doc NEWS README SYMBOLS THANKS TODO
%doc data/gcalrc
%dir /usr/share/gcal
%dir /usr/share/gcal/misc
%dir /usr/share/gcal/misc/daily
%dir /usr/share/gcal/misc/ddiff
%dir /usr/share/gcal/misc/dst
%dir /usr/share/gcal/misc/gcalltx
%dir /usr/share/gcal/misc/moon
%dir /usr/share/gcal/misc/mrms
%dir /usr/share/gcal/misc/srss
%dir /usr/share/gcal/misc/wloc
%dir /usr/share/gcal/scripts
/usr/bin/gcal
/usr/bin/gcal-daily
/usr/bin/gcal-ddiff
/usr/bin/gcal-ddiffdrv
/usr/bin/gcal-dst
/usr/bin/gcal-gcalltx
/usr/bin/gcal-gcalltx.pl
/usr/bin/gcal-moon
/usr/bin/gcal-mrms
/usr/bin/gcal-srss
/usr/bin/gcal-wlocdrv
/usr/bin/gcal2txt
/usr/bin/tcal
/usr/bin/txt2gcal
/usr/share/gcal/CREDITS.dates
/usr/share/gcal/README
/usr/share/gcal/README.dates
/usr/share/gcal/ancient
/usr/share/gcal/ansipic.rc
/usr/share/gcal/birthday.rc
/usr/share/gcal/bkk.rc
/usr/share/gcal/calendar.birth
/usr/share/gcal/calendar.chris
/usr/share/gcal/calendar.compu
/usr/share/gcal/calendar.histo
/usr/share/gcal/calendar.holid
/usr/share/gcal/calendar.judai
/usr/share/gcal/calendar.music
/usr/share/gcal/calendar.ushol
/usr/share/gcal/can_holiday
/usr/share/gcal/celtic
/usr/share/gcal/computing
/usr/share/gcal/de-mdata.rc
/usr/share/gcal/de-sdata.rc
/usr/share/gcal/events
/usr/share/gcal/events1
/usr/share/gcal/events2
/usr/share/gcal/events3
/usr/share/gcal/events4
/usr/share/gcal/events5
/usr/share/gcal/events6
/usr/share/gcal/gdead
/usr/share/gcal/hawaii
/usr/share/gcal/literature
/usr/share/gcal/lives
/usr/share/gcal/lives1
/usr/share/gcal/lives2
/usr/share/gcal/lives3
/usr/share/gcal/lives4
/usr/share/gcal/lives5
/usr/share/gcal/lives6
/usr/share/gcal/lotr
/usr/share/gcal/mdata.rc
/usr/share/gcal/meteoric.rc
/usr/share/gcal/misc/README
/usr/share/gcal/misc/daily/daily
/usr/share/gcal/misc/daily/daily.awk
/usr/share/gcal/misc/daily/daily.pl
/usr/share/gcal/misc/daily/daily.rc
/usr/share/gcal/misc/ddiff/ddiff
/usr/share/gcal/misc/ddiff/ddiff1.awk
/usr/share/gcal/misc/ddiff/ddiff1.pl
/usr/share/gcal/misc/ddiff/ddiff2.awk
/usr/share/gcal/misc/ddiff/ddiff2.pl
/usr/share/gcal/misc/ddiff/ddiffdrv
/usr/share/gcal/misc/ddiff/ddiffdrv.awk
/usr/share/gcal/misc/ddiff/ddiffdrv.pl
/usr/share/gcal/misc/ddiff/zone.tab
/usr/share/gcal/misc/dst/dst
/usr/share/gcal/misc/dst/dst.awk
/usr/share/gcal/misc/dst/dst.pl
/usr/share/gcal/misc/gcalltx/gcalltx
/usr/share/gcal/misc/gcalltx/gcalltx.pl
/usr/share/gcal/misc/gcalltx/gcalltx.sed
/usr/share/gcal/misc/gcalmagic.add
/usr/share/gcal/misc/moon/moon
/usr/share/gcal/misc/mrms/mrms
/usr/share/gcal/misc/mrms/mrms.awk
/usr/share/gcal/misc/mrms/mrms.pl
/usr/share/gcal/misc/mrms/mrms.rc
/usr/share/gcal/misc/srss/srss
/usr/share/gcal/misc/srss/srss.awk
/usr/share/gcal/misc/srss/srss.pl
/usr/share/gcal/misc/srss/srss.rc
/usr/share/gcal/misc/wloc/wlocdrv
/usr/share/gcal/misc/wloc/wlocdrv1.awk
/usr/share/gcal/misc/wloc/wlocdrv1.pl
/usr/share/gcal/misc/wloc/wlocdrv2.awk
/usr/share/gcal/misc/wloc/wlocdrv2.pl
/usr/share/gcal/misc/wloc/zone.tab
/usr/share/gcal/movies
/usr/share/gcal/ms.rc
/usr/share/gcal/music
/usr/share/gcal/radio
/usr/share/gcal/scripts/cal2gcal.awk
/usr/share/gcal/scripts/cal2gcal.pl
/usr/share/gcal/scripts/ct2gcal.awk
/usr/share/gcal/scripts/ct2gcal.pl
/usr/share/gcal/scripts/old2v220.awk
/usr/share/gcal/scripts/old2v220.pl
/usr/share/gcal/scripts/v2x2v300.awk
/usr/share/gcal/scripts/v2x2v300.pl
/usr/share/gcal/sdata.rc
/usr/share/gcal/sfo
/usr/share/gcal/space
/usr/share/gcal/sports
/usr/share/gcal/sun-moon.rc
/usr/share/gcal/television
/usr/share/gcal/textpic.rc
/usr/share/gcal/usa_holiday
/usr/share/gcal/usa_other
/usr/share/gcal/usa_states
/usr/share/gcal/witchcraft
/usr/share/gcal/wloc.rc
/usr/share/gcal/world
/usr/share/gcal/wtt1.rc
/usr/share/gcal/wtt2.rc
/usr/share/gcal/wtt3.rc
/usr/share/locale/de/LC_MESSAGES/gcal.mo
/usr/share/locale/fr/LC_MESSAGES/gcal.mo
/usr/share/locale/nl/LC_MESSAGES/gcal.mo
/usr/share/locale/pl/LC_MESSAGES/gcal.mo
/usr/share/locale/ru/LC_MESSAGES/gcal.mo
/usr/share/locale/sv/LC_MESSAGES/gcal.mo
%doc %{_infodir}/de/gcal.info.gz
%doc %{_infodir}/de/gcal.info-1.gz
%doc %{_infodir}/de/gcal.info-10.gz
%doc %{_infodir}/de/gcal.info-11.gz
%doc %{_infodir}/de/gcal.info-12.gz
%doc %{_infodir}/de/gcal.info-13.gz
%doc %{_infodir}/de/gcal.info-14.gz
%doc %{_infodir}/de/gcal.info-2.gz
%doc %{_infodir}/de/gcal.info-3.gz
%doc %{_infodir}/de/gcal.info-4.gz
%doc %{_infodir}/de/gcal.info-5.gz
%doc %{_infodir}/de/gcal.info-6.gz
%doc %{_infodir}/de/gcal.info-7.gz
%doc %{_infodir}/de/gcal.info-8.gz
%doc %{_infodir}/de/gcal.info-9.gz
%doc %{_infodir}/gcal.info.gz
%doc %{_infodir}/gcal.info-1.gz
%doc %{_infodir}/gcal.info-10.gz
%doc %{_infodir}/gcal.info-11.gz
%doc %{_infodir}/gcal.info-12.gz
%doc %{_infodir}/gcal.info-13.gz
%doc %{_infodir}/gcal.info-14.gz
%doc %{_infodir}/gcal.info-2.gz
%doc %{_infodir}/gcal.info-3.gz
%doc %{_infodir}/gcal.info-4.gz
%doc %{_infodir}/gcal.info-5.gz
%doc %{_infodir}/gcal.info-6.gz
%doc %{_infodir}/gcal.info-7.gz
%doc %{_infodir}/gcal.info-8.gz
%doc %{_infodir}/gcal.info-9.gz
%doc %{_mandir}/de/man1/gcal.1.gz
%doc %{_mandir}/de/man1/gcal2txt.1.gz
%doc %{_mandir}/de/man1/tcal.1.gz
%doc %{_mandir}/de/man1/txt2gcal.1.gz
%doc %{_mandir}/man1/gcal.1.gz
%doc %{_mandir}/man1/gcal2txt.1.gz
%doc %{_mandir}/man1/tcal.1.gz
%doc %{_mandir}/man1/txt2gcal.1.gz

%changelog -n gcal
* Thu Nov 30 2000 - bjacke@suse.de
- updated to 3.01
* Fri Feb 25 2000 - kukuk@suse.de
- Move /usr/{info,man} -> /usr/share/{info,man}
* Mon Sep 13 1999 - bs@suse.de
- ran old prepare_spec on spec file to switch to new prepare_spec.
* Thu Sep 09 1999 - bs@suse.de
- fixed call of Check at the end of %%install section
* Sun Sep 14 1997 - Karl Eichwalder <ke@suse.de>
  * gcal 2.40: initial package
